Subject: Re: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2025 17:18:53 +0200

> From: Andrew Cohen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Michael Albinus <[email-masked]>,
>   [email-masked],  Stefan Monnier <[email-masked]>
> Date: Thu, 06 Feb 2025 20:20:18 +0800
> 
> I think the remaining big question is how to handle inhibiting sleep
> until the sleep-wake code is finished. With dbus.el its straightforward
> (although I still don't know how to close the file descriptor returned
> from the dbus method in lisp; any help?) but I'm not sure what to do
> with other systems.

What is the semantics of this?  If the user closes the lid of the
laptop, and that was defined to put the system to sleep, does such
"inhibiting" mean the system will not sleep?  If so, I'm not sure this
is supported.  Or do you mean to delay sleep which is triggered by
prolonged enough lack of activity?